Bug 35884

Summary: [EFL] Add FileSystemEfl.cpp to WC/platform/efl.
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: barbieri, bunhere, commit-queue, eric, gns, gyuyoung.kim, kenneth, oliver, rakuco, tonikitoo, webkit.review.bot, zimmermann
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Add FileSystemEfl.cpp to WC/platform/efl. none

Description Leandro Pereira 2010-03-08 15:22:52 PST
+++ This bug was initially created as a clone of Bug #35749 +++

+++ This bug was initially created as a clone of Bug #35087 +++

Forthcoming patch adds FileSystemEfl.cpp to WebCore/platform/efl.
Comment 1 Leandro Pereira 2010-03-08 15:23:28 PST
Created attachment 50253 [details]
Add FileSystemEfl.cpp to WC/platform/efl.
Comment 2 Holger Freyther 2010-03-09 20:36:54 PST
Comment on attachment 50253 [details]
Add FileSystemEfl.cpp to WC/platform/efl.


> +CString fileSystemRepresentation(const String& path)
> +{
> +    return path.utf8();
> +}

This will fail on weird systems, maybe windows... but I talked to raster and the rest of E is currently doing the same.
Comment 3 WebKit Commit Bot 2010-03-15 22:50:21 PDT
Comment on attachment 50253 [details]
Add FileSystemEfl.cpp to WC/platform/efl.

Clearing flags on attachment: 50253

Committed r56039: <http://trac.webkit.org/changeset/56039>
Comment 4 WebKit Commit Bot 2010-03-15 22:50:26 PDT
All reviewed patches have been landed.  Closing bug.